curl --request PATCH \
--url https://api.journeybee.io/v1/rooms/{uuid}/blocks/{subUuid} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"label": "<string>",
"content": {},
"series": 123,
"block_settings": {
"display": {
"height": 123,
"fullScreen": true,
"showExternalLink": true,
"directEmbed": true
},
"goals": {
"showProgress": true,
"showCountdown": true,
"allowResourceLinks": true
},
"advanced_search": {
"title": "<string>",
"placeholder": "<string>",
"showAITab": true,
"showQuickActions": true
},
"pricing_calculator": {
"allowCreateLead": true,
"enable_lead_submission": true,
"customCustomerName": "<string>"
},
"banner": {}
},
"asset_uuid": "<string>",
"markdown": "<string>"
}
'import requests
url = "https://api.journeybee.io/v1/rooms/{uuid}/blocks/{subUuid}"
payload = {
"label": "<string>",
"content": {},
"series": 123,
"block_settings": {
"display": {
"height": 123,
"fullScreen": True,
"showExternalLink": True,
"directEmbed": True
},
"goals": {
"showProgress": True,
"showCountdown": True,
"allowResourceLinks": True
},
"advanced_search": {
"title": "<string>",
"placeholder": "<string>",
"showAITab": True,
"showQuickActions": True
},
"pricing_calculator": {
"allowCreateLead": True,
"enable_lead_submission": True,
"customCustomerName": "<string>"
},
"banner": {}
},
"asset_uuid": "<string>",
"markdown": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
label: '<string>',
content: {},
series: 123,
block_settings: {
display: {height: 123, fullScreen: true, showExternalLink: true, directEmbed: true},
goals: {showProgress: true, showCountdown: true, allowResourceLinks: true},
advanced_search: {
title: '<string>',
placeholder: '<string>',
showAITab: true,
showQuickActions: true
},
pricing_calculator: {
allowCreateLead: true,
enable_lead_submission: true,
customCustomerName: '<string>'
},
banner: {}
},
asset_uuid: '<string>',
markdown: '<string>'
})
};
fetch('https://api.journeybee.io/v1/rooms/{uuid}/blocks/{subUuid}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"uuid": "<string>",
"label": "<string>",
"series": 123,
"content": "<unknown>",
"block_settings": {
"display": {
"height": 123,
"fullScreen": true,
"showExternalLink": true,
"directEmbed": true
},
"action_bar": {
"buttons": [
{
"label": "<string>",
"icon": "<string>",
"url": "<string>",
"background_color": "<string>",
"text_color": "<string>",
"icon_color": "<string>",
"room_uuid": "<string>",
"resource_id": 123,
"folder_id": 123,
"certification_id": 123,
"series": 500
}
]
},
"goals": {
"showProgress": true,
"showCountdown": true,
"allowResourceLinks": true
},
"advanced_search": {
"title": "<string>",
"placeholder": "<string>",
"showAITab": true,
"showQuickActions": true
},
"pricing_calculator": {
"allowCreateLead": true,
"enable_lead_submission": true,
"customCustomerName": "<string>"
},
"banner": {}
},
"asset_uuid": "<string>",
"created_at": "<string>",
"updated_at": "<string>"
}Update a room block
Authorizations
API key authentication. Use "Bearer <api_key>" or "Api-Key <api_key>".
Path Parameters
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Body
text, image, video, document, embed, introduction, action_bar, banner, lead_deal_analytics, goals, link, advanced_search, files, pricing_calculator, partner_details Block content. See create block for shape per block_type.
Show child attributes
Show child attributes
Block-type-specific settings. Only the key matching the block_type is relevant: action_bar blocks use action_bar, goals blocks use goals, banner blocks use banner, etc.
Show child attributes
Show child attributes
Markdown content for text blocks. When provided, converts to TipTap JSON and overrides the content field.
100000Response
Default Response
text, image, video, document, embed, introduction, action_bar, banner, lead_deal_analytics, goals, link, advanced_search, files, pricing_calculator, partner_details Display order (1-indexed)
Block content — shape varies by block_type. See documentation.
Block-type-specific settings. Only the key matching the block_type is relevant: action_bar blocks use action_bar, goals blocks use goals, banner blocks use banner, etc.
Show child attributes
Show child attributes
Associated asset (image, video file, document, etc.)